export declare function flattenObjectSafe(obj: object, delimiter?: string): unknown;
export declare function flattenObject(obj: object, delimiter?: string): unknown;
export declare function unflattenObject(obj: object, delimiter?: string): unknown;
export declare function unsetAll(obj: any, props: Array<Array<string>>): any;
export declare function omitNested<T extends object>(obj: T, props: Array<Array<string>>): T;
export declare function cloneOptions<T extends object>(x: T): T;
export declare function extend(x: object, y: object): object;
